name: Main daploy
run-name: ${{ github.actor }} deployed to build branch
on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: ubuntu-latest

    container:
       volumes:
          - /www/hereconnect.condev.ru:/www/hereconnect.condev.ru

    steps:
      - uses: actions/checkout@v4
      - uses: actions/setup-node@v4
        with:
          node-version: '22'
      - name: Clean install dependencies and build
        run: |
          npm ci
          npm run build-only -- --emptyOutDir --outDir /www/hereconnect.condev.ru/build-${{env.GITHUB_SHA}}/
          mv /www/hereconnect.condev.ru/current /www/hereconnect.condev.ru/old && mv /www/hereconnect.condev.ru/build-${{env.GITHUB_SHA}} /www/hereconnect.condev.ru/current && rm -rf /www/hereconnect.condev.ru/old
